Removed unnecessary typdefs from the binding layer to make the code more readable. (#1364)

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Remove JavaScript Layer and change API in I2C module

related issue #1367

IoT.js-DCO-1.0-Signed-off-by: Hosung Kim hs852.kim@samsung.com
Remove JavaScript Layer and change API in I2C module

related issue #1367

IoT.js-DCO-1.0-Signed-off-by: Hosung Kim hs852.kim@samsung.com
Remove JavaScript Layer and change API in I2C module

related issue #1367

IoT.js-DCO-1.0-Signed-off-by: Hosung Kim hs852.kim@samsung.com
Remove JavaScript Layer and change API in I2C module

related issue #1367

IoT.js-DCO-1.0-Signed-off-by: Hosung Kim hs852.kim@samsung.com
Remove JavaScript Layer and change API in I2C module

related issue #1367

IoT.js-DCO-1.0-Signed-off-by: Hosung Kim hs852.kim@samsung.com
Remove JavaScript Layer and change API in I2C module

related issue #1367

IoT.js-DCO-1.0-Signed-off-by: Hosung Kim hs852.kim@samsung.com
Remove JavaScript Layer and change API in I2C module

related issue #1367

IoT.js-DCO-1.0-Signed-off-by: Hosung Kim hs852.kim@samsung.com
Remove JavaScript Layer and change API in I2C module

related issue #1367

IoT.js-DCO-1.0-Signed-off-by: Hosung Kim hs852.kim@samsung.com
Remove JavaScript Layer and change API in I2C module

related issue #1367

IoT.js-DCO-1.0-Signed-off-by: Hosung Kim hs852.kim@samsung.com
Remove JavaScript Layer and change API in I2C module

related issue #1367

IoT.js-DCO-1.0-Signed-off-by: Hosung Kim hs852.kim@samsung.com
Remove JavaScript Layer and change API in I2C module (#1372)

related issue #1367

IoT.js-DCO-1.0-Signed-off-by: Hosung Kim hs852.kim@samsung.com
Remove JavaScript Layer and change API in I2C module

related issue #1367

IoT.js-DCO-1.0-Signed-off-by: Hosung Kim hs852.kim@samsung.com
Remove JavaScript Layer and change API in I2C module

related issue #1367

IoT.js-DCO-1.0-Signed-off-by: Hosung Kim hs852.kim@samsung.com
Remove JavaScript Layer and change API in I2C module

related issue #1367

IoT.js-DCO-1.0-Signed-off-by: Hosung Kim hs852.kim@samsung.com
Remove JavaScript Layer and change API in I2C module

related issue #1367

IoT.js-DCO-1.0-Signed-off-by: Hosung Kim hs852.kim@samsung.com
Remove JavaScript Layer and change API in I2C module

related issue #1367

IoT.js-DCO-1.0-Signed-off-by: Hosung Kim hs852.kim@samsung.com
Remove JavaScript Layer and change API in I2C module

related issue #1367

IoT.js-DCO-1.0-Signed-off-by: Hosung Kim hs852.kim@samsung.com
Remove JavaScript Layer and change API in I2C module (#1386)

related issue #1367

IoT.js-DCO-1.0-Signed-off-by: Hosung Kim hs852.kim@samsung.com
Rework the PWM module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Rework the PWM module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Rework the PWM module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Rework the PWM module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Rework the PWM module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Rework the PWM module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Rework the PWM module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Rework the PWM module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Rework the PWM module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Rework the PWM module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Module GPIO rework

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: Zsolt Borbély zsborbely.u-szeged@partner.samsung.com
Rework the PWM module (#1414)

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Rework the SPI module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Module GPIO rework

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: Zsolt Borbély zsborbely.u-szeged@partner.samsung.com
Module GPIO rework (#1406)

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: Zsolt Borbély zsborbely.u-szeged@partner.samsung.com
Rework the SPI module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Remove JavaScript layer and rework API in SPI module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Remove JavaScript layer and rework API in SPI module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Remove JavaScript layer and rework API in SPI module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Remove JavaScript layer and rework API in SPI module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Remove JavaScript layer and rework API in SPI module (#1419)

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Remove JavaScript layer and rework API in UART module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Remove JavaScript layer and rework API in UART module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Module ADC rework

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: Zsolt Borbély zsborbely.u-szeged@partner.samsung.com
Remove JavaScript layer and rework API in UART module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Remove JavaScript layer and rework API in UART module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Module ADC rework

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: Zsolt Borbély zsborbely.u-szeged@partner.samsung.com
Remove JavaScript layer and rework API in UART module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Remove JavaScript layer and rework API in UART module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Module ADC rework

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: Zsolt Borbély zsborbely.u-szeged@partner.samsung.com
Remove JavaScript layer and rework API in UART module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Remove JavaScript layer and rework API in UART module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Remove JavaScript layer and rework API in UART module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Remove JavaScript layer and rework API in UART module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Module ADC rework

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: Zsolt Borbély zsborbely.u-szeged@partner.samsung.com
Module ADC rework (#1431)

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: Zsolt Borbély zsborbely.u-szeged@partner.samsung.com
Remove JavaScript layer and rework API in UART module

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
Remove JavaScript layer and rework API in UART module (#1428)

Related issue: #1367

IoT.js-DCO-1.0-Signed-off-by: László Langó llango.u-szeged@partner.samsung.com
